<template>
  <div class="progress">
    <div class="progress-bar bg-success" :style="progressStyle"></div>
  </div>
</template>

<script>
import { computed } from 'vue'

export default {
  name: 'ProgressBar',
  props: {
    progress: { type: Number, required: true },
  },
  setup(props) {
    const progressStyle = computed(() => {
      return { width: props.progress + '%' }
    })

    return {
      progressStyle,
    }
  },
}
</script>

<style lang="scss">
.progress {
  height: 24px;
}

.progress .progress-bar {
  height: 24px;

  -webkit-transition: none;
  -moz-transition: none;
  -ms-transition: none;
  -o-transition: none;
  transition: none;
}
</style>
